Package com.sap.ai.sdk.orchestration

# Enum Class ImageItem.DetailLevel

java.lang.Object
java.lang.Enum<ImageItem.DetailLevel>
com.sap.ai.sdk.orchestration.ImageItem.DetailLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<ImageItem.DetailLevel>`, `Constable`

Enclosing class:
  `ImageItem`

public static enum ImageItem.DetailLevel extends Enum<ImageItem.DetailLevel>
The detail level of the image.

Since:
  1.3.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  Automatic detail level.
  `HIGH`
  High detail level.
  `LOW`
  Low detail level.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Get the string representation of the DetailLevel
  `static ImageItem.DetailLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ImageItem.DetailLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOW

    public static final ImageItem.DetailLevel LOW
    Low detail level.

  - ### HIGH

    public static final ImageItem.DetailLevel HIGH
    High detail level.

  - ### AUTO

    public static final ImageItem.DetailLevel AUTO
    Automatic detail level.

- ## Method Details

  - ### values

    public static ImageItem.DetailLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ImageItem.DetailLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    @Nonnull public String toString()
    Get the string representation of the DetailLevel
    Overrides:
      `toString` in class `Enum<ImageItem.DetailLevel>`
    Returns:
      the DetailLevel as string
    Since:
      1.3.0